Query Health Assessments

Query Health Assessments
Query health assessment results for resources

Retrieves pre-computed health assessment results for specified resources. Supports complex filtering by assessment ID, resource type, specific resource IDs, related resource ID, health levels, and detail key-value pairs. Results are paginated for large datasets.

Request
URI
POST
https://{api_host}/health-assessments
COPY
Request Body
HealthAssessmentQueryRequest of type(s) application/json
Required  
This request body class requires all of the following: ListRequestParameters , InlineHealthAssessmentQueryRequest1
{
    "site_ids": [
        "string"
    ],
    "offset": 0,
    "page_size": 0,
    "sort_ascending": false,
    "sort_by": "string",
    "id": "string",
    "assessed_resource_type": "string",
    "assessed_resource_ids": [
        "string"
    ],
    "related_resource_ids": [
        "string"
    ],
    "overall_levels": [
        "string"
    ],
    "detail_filters": [
        {
            "key": "string",
            "operator": "string",
            "value": "string"
        }
    ]
}
Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns HealthAssessmentListResult of type(s) application/json
This response body class contains all of the following: ListResult , InlineHealthAssessmentListResult1
{
    "offset": 0,
    "number_of_results": 0,
    "total_result_count": 0,
    "total_pages": 0,
    "sort_ascending": false,
    "sort_by": "string",
    "results": [
        {
            "id": "string",
            "assessed_resource_id": "string",
            "assessed_resource_type": "string",
            "assessed_resource_name": "string",
            "assessed_resource_path": "string",
            "site_id": "string",
            "related_resource_id": "string",
            "related_resource_type": "string",
            "related_resource_name": "string",
            "related_resource_path": "string",
            "related_overall_level": "string",
            "overall_level": "string",
            "report_timestamp": 0,
            "details": [
                {
                    "key": "string",
                    "value": "string"
                }
            ]
        }
    ]
}

400

Bad Request - Invalid parameters

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Error Response

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"id":"string","assessed_resource_type":"string"}' https://{api_host}/health-assessments